package sample.test.pen;

import javax.swing.JPanel;
import javax.swing.JList;
import java.awt.FlowLayout;
import javax.swing.JLabel;

import sample.test.pen.logic.DrawPath_1_InOneBehavior;
import sample.test.pen.logic.DrawPath_2_AsLines;
import sample.test.pen.logic.DrawPath_3_LazyGoal;
import sample.test.pen.logic.DrawPath_4_LazyGoalRefined;

public class LogicSelectorPanel extends JPanel implements WizardComponent, LogicSelector {

	private static final long serialVersionUID = 1L;
	private JList jLogicList = null;
	private JLabel jLogicLabel = null;

	/**
	 * This is the default constructor
	 */
	public LogicSelectorPanel() {
		super();
		initialize();
	}

	@SuppressWarnings("unchecked")
	public Class<? extends DrawPath> getSelectedLogic() {
		Object value = getJLogicList().getSelectedValue();
		if (value instanceof Class<?>) {
			return (Class<? extends DrawPath>) value;
		}
		return null;
	}

	@Override
	public void onLoad() {
	}

	@Override
	public void onUnload() {
	}

	/**
	 * This method initializes this
	 *
	 * @return void
	 */
	private void initialize() {
		jLogicLabel = new JLabel();
		jLogicLabel.setText("Logic:");
		this.setSize(300, 200);
		this.setLayout(new FlowLayout());
		this.add(jLogicLabel, null);
		this.add(getJLogicList(), null);
	}

	/**
	 * This method initializes jLogicList
	 *
	 * @return javax.swing.JList
	 */
	private JList getJLogicList() {
		if (jLogicList == null) {
			jLogicList = new JList();
			jLogicList.setListData(new Class<?>[] {
					DrawPath_1_InOneBehavior.class,
					DrawPath_2_AsLines.class,
					DrawPath_3_LazyGoal.class,
					DrawPath_4_LazyGoalRefined.class
			});
		}
		return jLogicList;
	}

}
