/*
 * PROJECT: napkit at http://matereal.sourceforge.jp/
 * ----------------------------------------------------------------------------
 *
 * This file is part of NyARToolkit Application Toolkit.
 * NyARToolkit Application Toolkit, or simply "napkit",
 * is a simple wrapper library for NyARToolkit.
 *
 * ----------------------------------------------------------------------------
 *
 * License version: GPL 3.0
 *
 * napkit is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * napkit is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with napkit. If not, see <http://www.gnu.org/licenses/>.
 */
package jp.digitalmuseum.napkit;

import jp.digitalmuseum.utils.ScreenRectangle;
import jp.digitalmuseum.utils.ScreenPosition;
import jp.nyatla.nyartoolkit.core.squaredetect.NyARSquare;
import jp.nyatla.nyartoolkit.core.types.NyARIntPoint2d;

/**
 * Napkit-related utility class.
 *
 * @author Jun KATO
 */
public class NapUtils {

	public static ScreenPosition convertToScreenPosition(NyARIntPoint2d point) {
		return new ScreenPosition(point.x, point.y);
	}

	public static ScreenRectangle convertToScreenRectangle(NyARSquare square) {
		return new ScreenRectangle(
				NapUtils.convertToScreenPosition(square.imvertex[0]),
				NapUtils.convertToScreenPosition(square.imvertex[1]),
				NapUtils.convertToScreenPosition(square.imvertex[2]),
				NapUtils.convertToScreenPosition(square.imvertex[3])
			);
	}
}
